summaryrefslogtreecommitdiff
path: root/net-print
diff options
context:
space:
mode:
authorChristoph Brill <egore911@egore911.de>2012-05-23 21:11:18 +0200
committerChristoph Brill <christoph.brill@chamaeleon.de>2012-05-23 21:21:54 +0200
commit74eb541450201294b5b4ab20b775715b3e141506 (patch)
tree6d969631b642d303bae6e42c235fc339f90d83ee /net-print
parent34a1474f26f887e281af43bc9e76fd89e5b264cf (diff)
Add DCP-8085DN printer driver
Diffstat (limited to 'net-print')
-rw-r--r--net-print/dcp8085dncupswrapper/Manifest3
-rw-r--r--net-print/dcp8085dncupswrapper/dcp8085dncupswrapper-2.0.4.ebuild49
-rw-r--r--net-print/dcp8085dncupswrapper/metadata.xml7
-rw-r--r--net-print/dcp8085dnlpr/Manifest3
-rw-r--r--net-print/dcp8085dnlpr/dcp8085dnlpr-2.0.3.ebuild41
-rw-r--r--net-print/dcp8085dnlpr/metadata.xml7
6 files changed, 110 insertions, 0 deletions
diff --git a/net-print/dcp8085dncupswrapper/Manifest b/net-print/dcp8085dncupswrapper/Manifest
new file mode 100644
index 0000000..c612b57
--- /dev/null
+++ b/net-print/dcp8085dncupswrapper/Manifest
@@ -0,0 +1,3 @@
+DIST cupswrapperDCP8085DN-2.0.4-1.i386.rpm 14778 RMD160 e4a9bc87cc0162e2fd85b6e6980ed99c3244438b SHA1 2a9ae30b2ba8cd2171df73fc0a6ebd2102ab9c42 SHA256 c0c329525725ae87e45bbe02dae5122505de7bcce8e9d8097a6e8101af4992e5
+EBUILD dcp8085dncupswrapper-2.0.4.ebuild 1212 RMD160 f5e7b77b2ad1de7592a7d1a1c6cfe462ee5c58e1 SHA1 bcb429540322241abbed6a34eebe7162b00819e7 SHA256 35c996f88422b0f8e42f5c7dec2744ab46c7fff915d65a16ab8f337e51d8392a
+MISC metadata.xml 204 RMD160 19671a561cc119505a06464a35a5096b484471c2 SHA1 b00abe788b4847cd2bfcdb6e4e207ed38949d475 SHA256 e808030aad62dfe3e81350c1c879870c3d406c50e908ddc3f521480aec65e8d5
diff --git a/net-print/dcp8085dncupswrapper/dcp8085dncupswrapper-2.0.4.ebuild b/net-print/dcp8085dncupswrapper/dcp8085dncupswrapper-2.0.4.ebuild
new file mode 100644
index 0000000..c5f26b6
--- /dev/null
+++ b/net-print/dcp8085dncupswrapper/dcp8085dncupswrapper-2.0.4.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+MY_BV="1"
+MY_P="cupswrapperDCP8085DN-${PV}-${MY_BV}"
+
+DESCRIPTION="CUPS driver for the Brother DCP-585CW"
+HOMEPAGE="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/download_prn.html#DCP-585CW"
+SRC_URI="http://www.brother.com/pub/bsc/linux/dlf/${MY_P}.i386.rpm"
+
+LICENSE="Brother"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ =net-print/dcp8085dnlpr-2.0.3
+ net-print/cups"
+DEPEND="${RDEPEND}
+ app-arch/rpm2targz"
+
+src_unpack() {
+ cd "${WORKDIR}"
+ rpm2targz "${DISTDIR}/${MY_P}.i386.rpm"
+ tar -xzf "${WORKDIR}/${MY_P}.i386.tar.gz"
+}
+
+src_compile() {
+ head -n 366 usr/local/Brother/cupswrapper/cupswrapperDCP8085DN-${PV} | tail -n 298 > brdcp8085dn.ppd
+ head -n 546 usr/local/Brother/cupswrapper/cupswrapperDCP8085DN-${PV} | tail -n 159 > brlpdwrapperDCP8085DN
+
+ sed -i \
+ -e 's:\\::g' \
+ brlpdwrapperDCP8085DN || die "sed \\ failed"
+}
+
+src_install() {
+ insinto /usr/share/cups/model
+ doins brdcp8085dn.ppd
+
+ insopts -m 755
+ insinto /usr/libexec/cups/filter
+ doins brlpdwrapperDCP8085DN
+ insinto /usr/local/Brother/cupswrapper
+ doins usr/local/Brother/cupswrapper/*
+}
diff --git a/net-print/dcp8085dncupswrapper/metadata.xml b/net-print/dcp8085dncupswrapper/metadata.xml
new file mode 100644
index 0000000..1188c23
--- /dev/null
+++ b/net-print/dcp8085dncupswrapper/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>egore911@egore911.de</email>
+</maintainer>
+</pkgmetadata>
diff --git a/net-print/dcp8085dnlpr/Manifest b/net-print/dcp8085dnlpr/Manifest
new file mode 100644
index 0000000..6196929
--- /dev/null
+++ b/net-print/dcp8085dnlpr/Manifest
@@ -0,0 +1,3 @@
+DIST dcp8085dnlpr-2.0.3-1.i386.rpm 43239 RMD160 2b054dd9f5a95fc0e0b86c0bb11acc6fec19602f SHA1 b12189ae6439d6155d3ef3e2f7cf0fd8477c20a8 SHA256 05f7c6eff304493a86d6d0d41afc15aead69a044112daae6ca25ebab7cc3ee72
+EBUILD dcp8085dnlpr-2.0.3.ebuild 869 RMD160 da37e901cd302c1a9e8dab4443c5a88a412258be SHA1 db7416b663ddad3fc1029c4e1db424dbcfbff036 SHA256 58c96ce56b977e48df6704a6f49637b00f826f1b1b5e1c7473caa54b65784b5f
+MISC metadata.xml 204 RMD160 19671a561cc119505a06464a35a5096b484471c2 SHA1 b00abe788b4847cd2bfcdb6e4e207ed38949d475 SHA256 e808030aad62dfe3e81350c1c879870c3d406c50e908ddc3f521480aec65e8d5
diff --git a/net-print/dcp8085dnlpr/dcp8085dnlpr-2.0.3.ebuild b/net-print/dcp8085dnlpr/dcp8085dnlpr-2.0.3.ebuild
new file mode 100644
index 0000000..6acab18
--- /dev/null
+++ b/net-print/dcp8085dnlpr/dcp8085dnlpr-2.0.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+MY_BV="1"
+
+DESCRIPTION="lpr driver for Brother DCP-8085DN"
+HOMEPAGE="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/download_prn.html#DCP-8085DN"
+SRC_URI="http://www.brother.com/pub/bsc/linux/dlf/${P}-${MY_BV}.i386.rpm"
+
+LICENSE="Brother"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ app-arch/rpm2targz"
+
+src_unpack() {
+ cd "${WORKDIR}"
+ rpm2targz "${DISTDIR}/${P}-${MY_BV}.i386.rpm"
+ tar -xzf "${WORKDIR}/${P}-${MY_BV}.i386.tar.gz"
+}
+
+src_install() {
+ dobin usr/bin/*
+ # TODO: this is a 32 bits library!
+ dolib usr/lib/*
+
+ insinto /usr/local/Brother/inf
+ doins usr/local/Brother/inf/*
+
+ insopts -m 755
+ insinto /usr/local/Brother/lpd
+ doins usr/local/Brother/lpd/*
+
+ keepdir /var/spool/lpd/DCP8085DN
+}
diff --git a/net-print/dcp8085dnlpr/metadata.xml b/net-print/dcp8085dnlpr/metadata.xml
new file mode 100644
index 0000000..1188c23
--- /dev/null
+++ b/net-print/dcp8085dnlpr/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>egore911@egore911.de</email>
+</maintainer>
+</pkgmetadata>